const system=require("../../system");
const Dao=require("../dao.base");
class ProfitcenterDao extends Dao{
  constructor(){
    super(Dao.getModelName(ProfitcenterDao));
  }
  extraWhere(obj,w,qc,linkAttrs){
    console.log("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
    console.log(obj);
    console.log(obj.codepath);
    if(obj.codepath && obj.codepath!=""){
      if(obj.codepath.indexOf("msgprofitcenter")>0){
      }else{
        w["account_id"]=obj.account_id;
      }
    }
    return w;
  }

}
module.exports=ProfitcenterDao;
